const fs = require('fs')
const path = require('path')

module.exports = function ({types: t}) {
    return {
        visitor: {
            Program: {
                exit(_, { file }) {
                    const styleFilePath = path.resolve(file.opts.filename.replace(/\.js$/, '.styl'))
                    if (fs.existsSync(styleFilePath)) {
                        const styleImportDeclaration = t.importDeclaration(
                            [ t.importDefaultSpecifier(t.identifier('s')) ],
                            t.stringLiteral(styleFilePath)
                        )
                        node.body.unshift(styleImportDeclaration)
                    }
                }
            }
        }
    }
}